--- title: Get detailed information about a source slug: '65' canonical_url: https://docs.coveo.com/en/65/ collection: index-content source_format: adoc --- # Get detailed information about a source Retrieving information about a specific [source](https://docs.coveo.com/en/246/) can be useful in many scenarios. You could want to inspect source mappings, its current number of items, its total size, its pre- and post-conversion indexing pipeline extension scripts, and more. Use the [Get a single source](https://platform.cloud.coveo.com/docs?urls.primaryName=Source#/Sources/rest_organizations_paramId_sources_paramId_get) operation to get detailed information about an individual source in a [Coveo organization](https://docs.coveo.com/en/185/). Alternatively, you can get this information on the [**Sources**](https://platform.cloud.coveo.com/admin/#/orgid/content/sources/) ([platform-ca](https://platform-ca.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-eu](https://platform-eu.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-au](https://platform-au.cloud.coveo.com/admin/#/orgid/content/sources/)) page of the Coveo Administration Console. > **Leading practice** > > When you want to monitor the current number of items in a source to validate the indexing status of pushed items, you should generally use the [Get all sources](https://platform.cloud.coveo.com/docs?urls.primaryName=Source#/Sources/rest_organizations_paramId_sources_get) operation instead. > > This lighter process allows you to retrieve the exact same information, the only difference being that the body of a successful response is an array where each element contains information about an individual source in the target Coveo organization, if not already done. > This implies that you must parse the response in order to retrieve the information that applies to the Push source you're monitoring. > Doing so is typically much faster than using the **Get a single source** operation to retrieve the pre-filtered information, though. **Request template** ```http GET https://platform.cloud.coveo.com/rest/organizations//sources/ HTTP/1.1 Content-Type: application/json Accept: application/json Authorization: Bearer ``` In the request path: * Replace `` with your [organization ID](https://docs.coveo.com/en/148/). * Replace `` with the [ID of the target source](https://docs.coveo.com/en/3390#copy-a-source-name-or-id). In the `Authorization` HTTP header: * Replace `` with an [access token](https://docs.coveo.com/en/123/) that grants the **View** [access level](https://docs.coveo.com/en/2818/) on the [**Sources** domain](https://docs.coveo.com/en/1707#sources-domain) in your organization. See also [Create an API key](https://docs.coveo.com/en/1718#create-an-api-key), and [Get the privileges of an access token](https://docs.coveo.com/en/109/). The body of a successful response (`200 OK`) contains information about the target source. ## Sample request **Getting information about a specific source** ```http GET https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organizationg8tp8wu3/sources/mycoveocloudv2organizationg8tp8wu3-rp5rxzbdz753uhndklv2ztkfgy HTTP/1.1 Content-Type: application/json Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` **Successful response - 200 OK** ```json { "sourceType": "PUSH", "id": "mycoveocloudv2organizationg8tp8wu3-rp5rxzbdz753uhndklv2ztkfgy", "name": "My Secured Push Source", "owner": "asmith@example.com", "sourceVisibility": "SECURED", "mappings": [ { "id": "utezfdw7a26punr3fvf5a5kpze", "kind": "COMMON", "fieldName": "mypushsourceauthor", "extractionMethod": "METADATA", "content": "%[author]" }, [ ... ] ], "information": { "sourceStatus": { "type": "PUSH_READY", "numberOfDocuments": 0, "allowedOperations": [ "DELETE" ] }, "numberOfDocuments": 2, "documentsTotalSize": 101353 }, "pushEnabled": true, "onPremisesEnabled": false, "securityProviderReferences": [ "My Secured Push Source Security Identity Provider" ], "preConversionExtensions": [ { "actionOnError": "SKIP_EXTENSION", "condition": "%[filetype] == 'video'", "extensionId": "mycoveocloudv2organizationg8tp8wu3-vfwwdfkmvv3aqnkrpt6vircldm", "parameters": {} "versionId": "" }, [ ... ] ], "postConversionExtensions": [ [ ... ] ], "urlFilters": [ { "filter": "*", "includeFilter": true, "filterType": "WILDCARD" }, [ ... ] ] ```